Class | SOAP::SOAPHeaderItem
In: | soap/element.rb
Parent: | XSD::NSDBase

### Methods

encode new

### Included Modules

SOAPEnvelopeElement SOAPCompoundtype

### Attributes

element | [RW] |
encodingstyle | [RW] |
mustunderstand | [RW] |

### Public Class methods

new(element, mustunderstand = true, encodingstyle = nil)

[Source]

    # File soap/element.rb, line 155
      def initialize(element, mustunderstand = true, encodingstyle = nil)
        super()
        @type = nil
        @element = element
        @mustunderstand = mustunderstand
        @encodingstyle = encodingstyle
        element.parent = self if element
      end

### Public Instance methods

encode(generator, ns, attrs = {}) {|@element| ...}

[Source]

    # File soap/element.rb, line 164
      def encode(generator, ns, attrs = {})
        attrs.each do |key, value|
          @element.extraattr[key] = value
        end
        @element.extraattr[ns.name(AttrMustUnderstandName)] =
          (@mustunderstand ? '1' : '0')
        if @encodingstyle
          @element.extraattr[ns.name(AttrEncodingStyleName)] = @encodingstyle
        end
        @element.encodingstyle = @encodingstyle if !@element.encodingstyle
        yield(@element)
      end

[Validate]